Diagnostics

Interpretation of devices, error codes and negotiated stream parameters. More...

## Typedefs

typedef enum uvc_error | uvc_error_t
| UVC error types, based on libusb errors.

## Enumerations

enum

uvc_error {
UVC_SUCCESS = 0, UVC_ERROR_IO = -1, UVC_ERROR_INVALID_PARAM = -2, UVC_ERROR_ACCESS = -3,
UVC_ERROR_NO_DEVICE = -4, UVC_ERROR_NOT_FOUND = -5, UVC_ERROR_BUSY = -6, UVC_ERROR_TIMEOUT = -7,
UVC_ERROR_OVERFLOW = -8, UVC_ERROR_PIPE = -9, UVC_ERROR_INTERRUPTED = -10, UVC_ERROR_NO_MEM = -11,
UVC_ERROR_NOT_SUPPORTED = -12, UVC_ERROR_INVALID_DEVICE = -50, UVC_ERROR_INVALID_MODE = -51, UVC_ERROR_CALLBACK_EXISTS = -52,
UVC_ERROR_OTHER = -99
}

| UVC error types, based on libusb errors. More...

## Functions

void | uvc_perror (uvc_error_t err, const char *msg)
| Print a message explaining an error in the UVC driver. More...
const char * | uvc_strerror (uvc_error_t err)
| Return a string explaining an error in the UVC driver. More...
void | uvc_print_stream_ctrl (uvc_stream_ctrl_t *ctrl, FILE *stream)
| Print the values in a stream control block. More...
void | uvc_print_diag (uvc_device_handle_t *devh, FILE *stream)
| Print camera capabilities and configuration. More...
void | uvc_print_frameformats (uvc_device_handle_t *devh)
| Print all possible frame configuration. More...

## Detailed Description

Interpretation of devices, error codes and negotiated stream parameters.

## Enumeration Type Documentation

## uvc_error

enum uvc_error

UVC error types, based on libusb errors.

Enumerator
UVC_SUCCESS | Success (no error)
UVC_ERROR_IO | Input/output error.
UVC_ERROR_INVALID_PARAM | Invalid parameter.
UVC_ERROR_ACCESS | Access denied.
UVC_ERROR_NO_DEVICE | No such device.
UVC_ERROR_NOT_FOUND | Entity not found.
UVC_ERROR_BUSY | Resource busy.
UVC_ERROR_TIMEOUT | Operation timed out.
UVC_ERROR_OVERFLOW | Overflow.
UVC_ERROR_PIPE | Pipe error.
UVC_ERROR_INTERRUPTED | System call interrupted.
UVC_ERROR_NO_MEM | Insufficient memory.
UVC_ERROR_NOT_SUPPORTED | Operation not supported.
UVC_ERROR_INVALID_DEVICE | Device is not UVC-compliant.
UVC_ERROR_INVALID_MODE | Mode not supported.
UVC_ERROR_CALLBACK_EXISTS | Resource has a callback (can't use polling and async)
UVC_ERROR_OTHER | Undefined error.

## Function Documentation

## uvc_perror()

void uvc_perror | ( | uvc_error_t | err,
|  | const char * | msg
| ) |  |

Print a message explaining an error in the UVC driver.

Parameters

  err | UVC error code
  msg | Optional custom message, prepended to output

## uvc_strerror()

const char* uvc_strerror | ( | uvc_error_t | err | ) |

Return a string explaining an error in the UVC driver.

Parameters

  err | UVC error code

Returns
  error message

## uvc_print_stream_ctrl()

void uvc_print_stream_ctrl | ( | uvc_stream_ctrl_t * | ctrl,
|  | FILE * | stream
| ) |  |

Print the values in a stream control block.

Parameters

  devh | UVC device
  stream | Output stream (stderr if NULL)

## uvc_print_diag()

void uvc_print_diag | ( | uvc_device_handle_t * | devh,
|  | FILE * | stream
| ) |  |

Print camera capabilities and configuration.

Parameters

  devh | UVC device
  stream | Output stream (stderr if NULL)

## uvc_print_frameformats()

void uvc_print_frameformats | ( | uvc_device_handle_t * | devh | ) |

Print all possible frame configuration.

Parameters

  devh | UVC device
  stream | Output stream (stderr if NULL)